package com.example.service.impl;

import com.example.mapper.CommonMapper;
import com.example.service.CommonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CommonServiceImpl implements CommonService {

    @Autowired
    private CommonMapper commonMapper;

    @Override
    public String getUrl(Long id, Integer status) {

        String url = null;
        //status，1为著作，2为论文，3为共享资料
        if (status == 1) {
            url = commonMapper.getWork(id);
        } else if (status == 2) {
            url = commonMapper.getThesis(id);
        } else if (status == 3) {
            url = commonMapper.getResource(id);
        }
        return url;
    }
}
