package com.example.service;

import com.example.dto.PageQueryDTO;
import com.example.result.PageResult;

public interface OpenService {
    /**
     * 首页分页查询
     * @param pageQueryDTO
     * @return
     */
    PageResult page(PageQueryDTO pageQueryDTO);

    /**
     * 获奖分页查询
     * @param pageQueryDTO
     * @return
     */
    PageResult AwardsPage(PageQueryDTO pageQueryDTO);

    /**
     * 著作分页查询
     * @param pageQueryDTO
     * @return
     */
    PageResult WorkPage(PageQueryDTO pageQueryDTO);

    /**
     * 论文分页查询
     * @param pageQueryDTO
     * @return
     */
    PageResult ThesisPage(PageQueryDTO pageQueryDTO);
}
